#
# spec file for package perl-IO-Stty (Version .02)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim

Name:         perl-IO-Stty
Copyright:    Artistic License
Group:        Development/Libraries/Perl
Provides:     perl-IO-Stty
Autoreqprov:  on
Summary:      A perl module for setting terminal parameters
Version:      .02
Release:      104
Source:       IO-Stty-%{version}.tar.gz
BuildRoot:    %{_tmppath}/%{name}-root

%description
IO::Stty is a perl module for setting terminal parameters.

Authors:
--------
    Austin Schutz <tex@habit.com>

SuSE series: perl

%prep
%setup -n IO-Stty-%{version}

%build
perl Makefile.PL
make

%install
%define perl_sitelib %(eval "`perl -V:installsitelib`"; echo $installsitelib)
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT;
install -d $RPM_BUILD_ROOT/%{perl_archlib}
make PREFIX=$RPM_BUILD_ROOT/usr \
     INSTALLMAN1DIR=$RPM_BUILD_ROOT/%{_mandir}/man1 \
     INSTALLMAN3DIR=$RPM_BUILD_ROOT/%{_mandir}/man3 \
     install
install -d $RPM_BUILD_ROOT/var/adm/perl-modules
cat $RPM_BUILD_ROOT/%{perl_archlib}/perllocal.pod | sed "s@$RPM_BUILD_ROOT@@g" > $RPM_BUILD_ROOT/var/adm/perl-modules/perl-IO-Stty
cd $RPM_BUILD_ROOT/%{perl_sitearch}/auto/IO/Stty
cat .packlist | sed "s@$RPM_BUILD_ROOT@@g" | sort -u > .packlist

%files
%defattr(-,root,root)
%doc README stty.txt
/%{perl_sitelib}/IO/Stty.pm
/var/adm/perl-modules/perl-IO-Stty

%changelog -n perl-IO-Stty
* Thu Jun 21 2001 - mc@suse.de
- fixed the specfile. Used more RPM macros
* Thu Feb 08 2001 - mc@suse.de
- first package, v.02
